Package org.eclipse.emf.cdo.view

## Interface CDOViewRegistry.Registration

- Enclosing interface:
    CDOViewRegistry

      public static interface CDOViewRegistry.Registration

  A bidirectional mapping between a registered `view` and its `class loader`-wide `ID`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getID()` | Returns the ID of this registration.
    `CDOView` | `getView()` | Returns the `CDOView` of this registration.

- - ### Method Detail

    - #### getID

          int getID()

      Returns the ID of this registration.

    - #### getView

          CDOView getView()

      Returns the `CDOView` of this registration.